- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions | Static Protected Member Functions | Protected Attributes

# QLinuxFbScreen Class Reference

Search for all occurrences

## Detailed Description

Definition at line 80 of file qscreenlinuxfb_qws.h.

`#include <qscreenlinuxfb_qws.h>`

Inheritance diagram for QLinuxFbScreen:
[legend]

List of all members.

## Public Types
enum | DriverTypes { GenericDriver, EInk8Track }
## Public Member Functions
| QLinuxFbScreen (int display_id)
virtual | ~QLinuxFbScreen ()
virtual bool | initDevice ()
virtual bool | connect (const QString &displaySpec)
virtual bool | useOffscreen ()
virtual void | disconnect ()
virtual void | shutdownDevice ()
virtual void | setMode (int, int, int)
virtual void | save ()
virtual void | restore ()
virtual void | blank (bool on)
virtual void | set (unsigned int, unsigned int, unsigned int, unsigned int)
virtual uchar * | cache (int)
virtual void | uncache (uchar *)
virtual int | sharedRamSize (void *)
virtual void | setDirty (const QRect &)
## Public Attributes
QLinuxFb_Shared * | shared
## Protected Member Functions
void | deleteEntry (uchar *)
virtual void | fixupScreenInfo (fb_fix_screeninfo &finfo, fb_var_screeninfo &vinfo)
## Static Protected Member Functions
static void | clearCache (QScreen *instance, int)
## Protected Attributes
bool | canaccel
int | dataoffset
int | cacheStart

## Member Enumeration Documentation

enum DriverTypes

Search for all occurrences

Enumerator:

  GenericDriver | Search for all occurrences
  EInk8Track | Search for all occurrences

Definition at line 91 of file qscreenlinuxfb_qws.h.

    { GenericDriver, EInk8Track };

## Constructor & Destructor Documentation

QLinuxFbScreen | ( | int | display_id | ) | `[explicit]`

virtual ~QLinuxFbScreen | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool initDevice | ( |  | ) | `[virtual]`

Search for all occurrences

Implements QScreen.

virtual bool connect | ( | const QString & | displaySpec | ) | `[virtual]`

Search for all occurrences

Implements QScreen.

virtual bool useOffscreen | ( |  | ) | `[virtual]`

Search for all occurrences

virtual void disconnect | ( |  | ) | `[virtual]`

Search for all occurrences

Implements QScreen.

virtual void shutdownDevice | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

virtual void setMode | ( | int | ,
|  | int | ,
|  | int |
| ) |  | `[virtual]`

Search for all occurrences

Implements QScreen.

virtual void save | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

virtual void restore | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

virtual void blank | ( | bool | on | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

virtual void set | ( | unsigned | int,
|  | unsigned | int,
|  | unsigned | int,
|  | unsigned | int
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

virtual uchar* cache | ( | int |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

virtual void uncache | ( | uchar * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

virtual int sharedRamSize | ( | void * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

virtual void setDirty | ( | const QRect & |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

void deleteEntry | ( | uchar * |  | ) | `[protected]`

Search for all occurrences

virtual void fixupScreenInfo | ( | fb_fix_screeninfo & | finfo,
|  | fb_var_screeninfo & | vinfo
| ) |  | `[protected, virtual]`

Search for all occurrences

static void clearCache | ( | QScreen * | instance,
|  | int |
| ) |  | `[static, protected]`

Search for all occurrences

## Member Data Documentation

QLinuxFb_Shared* shared

Search for all occurrences

Definition at line 105 of file qscreenlinuxfb_qws.h.

bool canaccel `[protected]`

Search for all occurrences

Definition at line 111 of file qscreenlinuxfb_qws.h.

int dataoffset `[protected]`

Search for all occurrences

Definition at line 112 of file qscreenlinuxfb_qws.h.

int cacheStart `[protected]`

Search for all occurrences

Definition at line 113 of file qscreenlinuxfb_qws.h.

The documentation for this class was generated from the following file:

- QtGui/qscreenlinuxfb_qws.h

QLinuxFbScreen QLinuxFbScreen QLinuxFbScreen QLinuxFbScreen QLinuxFbScreen QLinuxFbScreen QLinuxFbScreen QLinuxFbScreen QLinuxFbScreen QLinuxFbScreen
QLinuxFbScreen QLinuxFbScreen QLinuxFbScreen QLinuxFbScreen QLinuxFbScreen QLinuxFbScreen QLinuxFbScreen QLinuxFbScreen QLinuxFbScreen QLinuxFbScreen